#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%global		talloc_version	2.3.1
#-----------------------------------------------------------------------------
Name		:	tevent
Version		:	0.16.1
Release		:	17.2.0.rel%{?dist}
Summary		:	An event system based on the talloc memory management library.


Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv3+
URL		:	https://www..samba.org/ftp/tevent/

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	cmocka-devel
BuildRequires	:	docbook-xsl
BuildRequires	:	doxygen
BuildRequires	:	gcc
BuildRequires	:	gnupg
BuildRequires	:	talloc-devel
#-----------------------------------------------------------------------------
%description
Tevent is an event system based on the talloc memory management library.
Tevent has support for many event types, including timers, signals, and
the classic file descriptor events.
Tevent also provide helpers to deal with asynchronous code providing the
tevent_req (Tevent Request) functions.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%{_libdir}/libtevent.so.*
%{python3_sitearch}/%{name}.py
%{python3_sitearch}/__pycache__/%{name}.*
%{python3_sitearch}/_%{name}.cpython*.so
 
#=============================================================================
%package		devel
Summary		:	Developer tools for the Tevent library

Requires	:	%{name}		= %{version}-%{release}
Requires	:	talloc-devel	>= %{talloc_version}
 
#-----------------------------------------------------------------------------
%description		devel
Header files needed to develop programs that link against
the Tevent library.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_mandir}/man3/tevent*.gz
 

#=============================================================================
%prep
%setup -q


#-----------------------------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--localstatedir=/var				\
	--sysconfdir=%{_sysconfdir}/samba		\
	--bundled-libraries=NONE			\
	--builtin-libraries=replace			\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}


doxygen doxy.config

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}
%{__make}							\
	DESTDIR="%{buildroot}"					\
	install

# Install API docs
%{__rm} -f							\
	doc/man/man3/todo*
%{__mkdir_p}							\
	%{buildroot}%{_mandir}

%{__cp} -a							\
	doc/man/*						\
	%{buildroot}%{_mandir}
#-----------------------------------------------------------------------------
%changelog
